Imports System.ComponentModel

Public Class NamedPicture
    Inherits PictureBox

    Private m_FileName As String
    <Browsable(True), Bindable(True)> _
    Public Property FileName() As String
        Get
            Return m_FileName
        End Get
        Set(ByVal Value As String)
            If m_FileName <> Value Then
                m_FileName = Value
                Try
                    Image = Image.FromFile(Value)
                    Me.Refresh()
                Catch
                    Image = Nothing
                End Try
            End If
        End Set
    End Property
End Class
